
QGIS Application - Bug report #21662

qgis grass v.voronoi processing tool incorrectly only allows point layers to be selected

2019-03-24 05:15 PM - Dolf Andringa

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29478

Description

v.voronoi in grass also includes v.voronoi.skeleton to create skeleton center lines of areas/polygons. The dialog in qgis also has the

"Extract skeleton for input areas" option, but I can't select polygon areas to create the skeleton centerline with.

History

#1 - 2019-03-24 05:16 PM - Giovanni Manghi

- Operating System deleted (Linux)

- Assignee set to Giovanni Manghi

I had once added the tool to make the skeletons... I hope no one removed it, I'll have a look.

#2 - 2019-03-26 03:37 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

For some reason this was removed

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/grass7/description/v.voronoi.skeleton.txt

I'll will try re-add it.

#3 - 2019-03-29 02:27 AM - Giovanni Manghi

- Status changed from Open to In Progress

- Easy fix? changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes

PR: https://github.com/qgis/QGIS/pull/9649

#4 - 2019-05-23 09:21 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

2024-04-25 1/2

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/grass7/description/v.voronoi.skeleton.txt
Fixed in master
